package com.gic.haoban.manage.web.qo.content.log;

import java.io.Serializable;
import java.util.List;

/**
 * @author shangfeng
 * @date 2024-08-27 16:57:54
 */
public class RecommendShareLogQO implements Serializable {

    private static final long serialVersionUID = 2329468480342306582L;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 商品id
     */
    private List<String> goodsIdList;

    /**
     * 成员id
     */
    private String staffId;

    /**
     * 会员信息
     */
    private List<MemberInfo> memberInfoList;

    /**
     * 微信unionId
     */
    private String unionId;

    /**
     * 额外数据
     */
    private String extend;

    /**
     * 中转页id
     */
    private String wxaLinkId;

    public static class MemberInfo implements Serializable {

        private static final long serialVersionUID = -6888489586106817983L;

        private String memberId;

        private String externalUserId;

        public String getMemberId() {
            return memberId;
        }

        public void setMemberId(String memberId) {
            this.memberId = memberId;
        }

        public String getExternalUserId() {
            return externalUserId;
        }

        public void setExternalUserId(String externalUserId) {
            this.externalUserId = externalUserId;
        }
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public List<String> getGoodsIdList() {
        return goodsIdList;
    }

    public void setGoodsIdList(List<String> goodsIdList) {
        this.goodsIdList = goodsIdList;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public List<MemberInfo> getMemberInfoList() {
        return memberInfoList;
    }

    public void setMemberInfoList(List<MemberInfo> memberInfoList) {
        this.memberInfoList = memberInfoList;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }

    public String getWxaLinkId() {
        return wxaLinkId;
    }

    public void setWxaLinkId(String wxaLinkId) {
        this.wxaLinkId = wxaLinkId;
    }
}
